#!/bin/bash

set -ouex pipefail

### Install packages

# Packages can be installed from any enabled yum repo on the image.
# RPMfusion repos are available by default in ublue main images
# List of rpmfusion packages can be found here:
# https://mirrors.rpmfusion.org/mirrorlist?path=free/fedora/updates/39/x86_64/repoview/index.html&protocol=https&redirect=1

# Basic packages
dnf5 install -y fish htop podman-compose podman-docker tmux vim systemd-networkd
dnf5 remove -y NetworkManager

# Incus related packages
dnf5 install -y 'dnf5-command(copr)'
dnf5 -y copr enable rcallicotte/incus
dnf5 install -y distrobox edk2-ovmf incus qemu-system-x86 swtpm zstd 

#### Enable services

systemctl enable podman.socket
systemctl enable incus-startup
systemctl enable systemd-networkd
